package com.admin.major.domain;

import java.util.Date;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 专业分流申请对象 m_major_apply
 * 
 * @author zewei
 * @date 2022-03-26
 */
public class MajorApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long majorApplyId;

    /** 学生id */
    private String studentId;

    /** 第一志愿 */
    @Excel(name = "第一志愿")
    private String majorId1st;

    /** 第二志愿 */
    @Excel(name = "第二志愿")
    private String majorId2nd;

    /** 第三志愿 */
    @Excel(name = "第三志愿")
    private String majorId3rd;

    /** 第四志愿 */
    @Excel(name = "第四志愿")
    private String majorId4th;

    /** 第五志愿 */
    @Excel(name = "第五志愿")
    private String majorId5th;

    /** 学生签名 */
    private String sign;

    /** 申请状态（0未提交 1已提交 2通过 3驳回） */
    @Excel(name = "申请状态", readConverterExp = "0=未提交,1=已提交,2=通过,3=驳回")
    private String applyStatus;

    /** 状态（1启用 0弃用） */
    @Excel(name = "状态", readConverterExp = "1=启用,0=弃用")
    private String status;

    /** 申请时间 */
    private Date applyDate;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 学院 */
    @Excel(name = "学院")
    private Long collegeId;

    /** 排序*/
    private String order;

    public void setMajorApplyId(Long majorApplyId)
    {
        this.majorApplyId = majorApplyId;
    }

    public Long getMajorApplyId()
    {
        return majorApplyId;
    }
    public void setStudentId(String studentId) 
    {
        this.studentId = studentId;
    }

    public String getStudentId() 
    {
        return studentId;
    }
    public void setMajorId1st(String majorId1st) 
    {
        this.majorId1st = majorId1st;
    }

    public String getMajorId1st() 
    {
        return majorId1st;
    }
    public void setMajorId2nd(String majorId2nd) 
    {
        this.majorId2nd = majorId2nd;
    }

    public String getMajorId2nd() 
    {
        return majorId2nd;
    }
    public void setMajorId3rd(String majorId3rd) 
    {
        this.majorId3rd = majorId3rd;
    }

    public String getMajorId3rd() 
    {
        return majorId3rd;
    }
    public void setMajorId4th(String majorId4th) 
    {
        this.majorId4th = majorId4th;
    }

    public String getMajorId4th() 
    {
        return majorId4th;
    }
    public void setMajorId5th(String majorId5th) 
    {
        this.majorId5th = majorId5th;
    }

    public String getMajorId5th() 
    {
        return majorId5th;
    }
    public void setSign(String sign) 
    {
        this.sign = sign;
    }

    public String getSign() 
    {
        return sign;
    }
    public void setApplyStatus(String applyStatus) 
    {
        this.applyStatus = applyStatus;
    }

    public String getApplyStatus() 
    {
        return applyStatus;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setApplyDate(Date applyDate) 
    {
        this.applyDate = applyDate;
    }

    public Date getApplyDate() 
    {
        return applyDate;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setCollegeId(Long collegeId) 
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId() 
    {
        return collegeId;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("majorApplyId", getMajorApplyId())
            .append("studentId", getStudentId())
            .append("majorId1st", getMajorId1st())
            .append("majorId2nd", getMajorId2nd())
            .append("majorId3rd", getMajorId3rd())
            .append("majorId4th", getMajorId4th())
            .append("majorId5th", getMajorId5th())
            .append("sign", getSign())
            .append("applyStatus", getApplyStatus())
            .append("status", getStatus())
            .append("applyDate", getApplyDate())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("year", getYear())
            .append("collegeId", getCollegeId())
            .toString();
    }
}
